from typing import TYPE_CHECKING

from fastfood_two.application.contracts.responses import MenuResponse

if TYPE_CHECKING:
    from fastfood_two.infrastructure.pg_storage.models import Menu


def entity_to_dto(menu: "Menu") -> MenuResponse:
    return MenuResponse(
        id=menu.id,
        title=menu.title,
        description=menu.description or "",
    )
